Subject: OMNIBUS signals for semiconductor memory

From: [email-masked] (Tom Karlsson)
Date: 05 Aug 1994 12:06:09 GMT

I'm constructing a 32K single board semiconductor memory for my PDP-8/m
(including a 100Hz real time clock), but I'm not sure of really how to
use the memory control signals from the OMNIBUS.
I've read the descriptions in the 'PDP-8/a miniprocessor handbook' and
the 'PDP-8/e,/f,/m small computer handbook' and have come to the conclusion
that I need the following signals:

EMA0-2, MA0-11, MD0-11, +5V, GND, ROM ADDRESS:  These signals are no
problem to me - they are used just as one could imagine :-)
EMA and MA for the 15 bit address, MD for data, +5V and GND for power and
the ROM ADDRESS for disablement when ROM memory is used in conjunction
with the read/write memory.
However, MEMORY WRITE, MD DIR and SOURCE or RETURN are the ones that I would
need a better description of (what their timing looks like).

Can I use SOURCE or RETURN as a memory select signal during both read and
write ?

Can I use MEMORY WRITE for the read/write signal or must I combine it with
MD DIR in some manner ?

A simple timing diagram would suffice...

Thanks!

/Tom
--
|  Tom Karlsson    E-mail: [email-masked]   phone: +46 18 260097  |
|  Student of Computer Science @ Uppsala University, Sweden.               |
|  Secretary of Update.  E-mail: [email-masked]                         |
|  WWW:  http://www.update.uu.se/~tomk/                                    |
|           "Intelligence is to do stupid things in a smart way"           |